package es.markse;
/**
 * Implementacion de la clase Estandar, que representa un contenedor Estandar
 * @author javcalv
 * @author victorm
 */
public class Estandar extends Contenedor {

	public Estandar(ISO6346 codigo, float pesoTara, float maximaCargaUtil, float volumen, estados estadoActual,
			pesos pesoSeleccionado, volumenes volumenSeleccionado, boolean techo) {
		super(codigo, pesoTara, maximaCargaUtil, volumen, estadoActual, pesoSeleccionado, volumenSeleccionado);	
		this.techo = techo;
	}
	
	/**
	 * Metodo que agrega un nuevo trayecto al contenedor
	 * @param t Trayecto que se agrega
	 * @throws IllegalArgumentException si el trayecto es nulo
	 */
	@Override
	public void anyadirTrayecto(Trayecto t) {
		if (t==null) {
			throw new IllegalArgumentException("El Trayecto no puede ser nulo");
		}
		if (this.trayectos.isEmpty()) {
			this.trayectos.add(t);
		}
		else {
			comprobarDatosContenedor(t);
		}
	}
	
	/**
	 * Metodo para alternar el techo de un contenedor
	 * @return True si tiene techo o false si no lo tiene
	 */
	public void alternarTecho() {
		this.techo=!this.techo;
		
	}
	
	@Override
	public boolean tieneTecho() {
		return this.techo;
	}
}
