package es.markse;
/**
 * Implementacion de la clase FlatRack, que representa un contenedor FlatRack
 * @author javcalv
 * @author victorm
 */
public class FlatRack extends Contenedor{

	public FlatRack(ISO6346 codigo, float pesoTara, float maximaCargaUtil, float volumen, estados estadoActual,
			pesos pesoSeleccionado, volumenes volumenSeleccionado) {
		super(codigo, pesoTara, maximaCargaUtil, volumen, estadoActual, pesoSeleccionado, volumenSeleccionado);
		this.techo=false;
		
	}

	/**
	 * Metodo que agrega un trayecto al contenedor
	 * @param t trayecto a agregar
	 * @throws IllegalArgumentException Si el trayecto es nulo
	 * @throws IllegalArgumentException Si el trayecto es desde un Camion
	 * @throws IllegalArgumentException Si el trayecto es un pack de camion-tren
	 * @throws IllegalArgumentException Si el trayecto es un pack de camion-barco
	 */
	@Override
	public void anyadirTrayecto(Trayecto t) {
		if (t==null) {
			throw new IllegalArgumentException("El Trayecto no puede ser nulo");
		}
	
		if (t instanceof TCamion) {
			throw new IllegalArgumentException("No puede ser transportado en Camion");
		}
	
		if (t instanceof PackCamionBarco) {
			throw new IllegalArgumentException("No puede ser transportado en Camion");
		}
		
		if (t instanceof PackCamionTren) {
			throw new IllegalArgumentException("No puede ser transportado en Camion");
		}
		
		if (this.trayectos.isEmpty()) this.trayectos.add(t);
		else comprobarDatosContenedor(t);
	}

	@Override
	/**
	 * metodo que devuelve si el FlatRack tiene techo
	 * @return false
	 */
	public boolean tieneTecho() {
		return false;
	}	
}