package es.markse;
/**
 * Implementacion de la clase Refrigerado, que representa un contenedor Refrigerado
 * @author javcalv
 * @author victorm
 */
public class Refrigerado extends Contenedor{

	public Refrigerado(ISO6346 codigo, float pesoTara, float maximaCargaUtil, float volumen, estados estadoActual,
			pesos pesoSeleccionado, volumenes volumenSeleccionado) {
		super(codigo, pesoTara, maximaCargaUtil, volumen, estadoActual, pesoSeleccionado, volumenSeleccionado);
		this.techo=true;
	}


	/**
	 * Metodo que añade un trayecto al contenedor
	 * @param t trayecto a agregar
	 * @throws IllegalArgumentException Si el trayecto es nulo
	 * @throws IllegalArgumentException Si el trayecto es desde un tren
	 * @throws IllegalArgumentException Si el trayecto es un pack de camion-tren
	 */
	@Override
	public void anyadirTrayecto(Trayecto t) {
		if (t==null)
			throw new IllegalArgumentException("El trayecto no puede ser nulo");

		if (t instanceof TTren)
			throw new IllegalArgumentException("Trayecto invalido. No puede viajar en tren");
	
		if (t instanceof PackCamionTren)
			throw new IllegalArgumentException("Trayecto invalido. No puede viajar en tren");
		
		if(this.trayectos.isEmpty()) this.trayectos.add(t);
		else comprobarDatosContenedor(t);		
	}

	@Override
	/**
	 * Metodo que devuelve si un refrigerado tiene techo
	 * @return true
	 */
	public boolean tieneTecho() {
		return true;
	}
}