/**
 * Copyright Universidad de Valladolid 2024
 */
package es.markse;

/**
 * Implementacion de la clase TCamion, que representa un trayecto por camión.
 * @author javcalv
 * @author victorm
 */
public class TCamion extends TVehiculoTierra {

    private final double COSTE = 200; 
    private final double COSTE_KILOMETRO = 4.5;

    /**
     * Constructor de la clase TCamion
     * @param muelleOrigen Muelle desde el que empieza el Trayecto
     * @param puertoOrigen Puerto desde el que empieza el Trayecto
     * @param fechaInicioTrayecto Fecha en la que comienza el Trayecto
     * @param muelleDestino Muelle en el que finaliza un Trayecto
     * @param puertoDestino Puerto en el que finaliza un Trayecto
     * @param fechaFinTrayecto Fecha en la que finaliza un Trayecto
     */
    public TCamion(Muelle muelleOrigen, Puerto puertoOrigen, Fecha fechaInicioTrayecto, Muelle muelleDestino, Puerto puertoDestino, Fecha fechaFinTrayecto) {
        super(muelleOrigen, puertoOrigen, fechaInicioTrayecto, muelleDestino, puertoDestino, fechaFinTrayecto);
        
        //Inicializamos el valor para el Camion
        this.COSTE_FIJO = this.COSTE;
        this.COSTE_POR_KILOMETRO = this.COSTE_KILOMETRO;
    }
}